> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Physical Card



## OpenAPI

````yaml en post /card/activateCard
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/activateCard:
    post:
      tags: []
      summary: 激活实体卡
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActivateCardReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultPhysicalCardInfoResVO'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  powerCardId: ''
                  physicalCardInfoId: 0
                  merchantId: ''
                  merchantUserId: ''
                  channel: ''
                  country: ''
                  address1: ''
                  address2: ''
                  address3: ''
                  city: ''
                  postalCode: ''
                  recipientName: ''
                  contactMobile: ''
                  areaNo: ''
                  physicalCardStatus: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ActivateCardReqVO:
      type: object
      properties:
        powerCardId:
          type: string
          description: powerCardId
      required:
        - powerCardId
    CommonResultPhysicalCardInfoResVO:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/PhysicalCardInfoResVO'
          description: 结果数据
    PhysicalCardInfoResVO:
      type: object
      properties:
        powerCardId:
          type: string
          description: powerCardId
        physicalCardInfoId:
          type: integer
          description: 实体卡关联id
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户对应用户id
        channel:
          type: string
          description: 开卡渠道
        country:
          type: string
          description: 国家或地区
        address1:
          type: string
          description: 地址行1
        address2:
          type: string
          description: 地址行2
        address3:
          type: string
          description: 地址行3
        city:
          type: string
          description: 城市
        postalCode:
          type: string
          description: 邮政编码
        recipientName:
          type: string
          description: 收件人
        contactMobile:
          type: string
          description: 收件手机号码
        areaNo:
          type: string
          description: 收件手机区号
        physicalCardStatus:
          type: string
          description: 实体卡状态
      required:
        - merchantId
        - merchantUserId
        - channel
        - country
        - address1
        - city
        - postalCode
        - recipientName
        - contactMobile
        - areaNo
        - physicalCardStatus

````